---
title: VRPose.hasPosition
slug: Web/API/VRPose/hasPosition
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Obsolete
  - Property
  - Reference
  - Référence(2)
  - VR
  - VRPositionState
  - Virtual Reality
  - WebVR
  - hasPosition
---
<div>{{obsolete_header()}}{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>hasPosition</code></strong> read-only property of the {{domxref("VRPositionState")}} interface returns a boolean indicating whether the {{domxref("VRPositionState.position")}} property is valid (i.e. if the hardware is currently registering a valid position). If it is <code>false</code>, the <code>position</code> property will return <code>null</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myHasPosition = VRPositionState.hasPosition;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}.</p>

<h2 id="Examples">Examples</h2>

<pre>TBD.</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRPose.hasPosition")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a>.</li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
